window.Gleam.initSearch([{"doc":"blah","title":"blah","content":"![blah](https://raw.githubusercontent.com/massivefermion/blah/main/banner.png)\n\n[![Package Version](https://img.shields.io/hexpm/v/blah)](https://hex.pm/packages/blah)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/blah/)\n\n# blah\n\nfake data generation for gleam\n\n## 🎲 Installation\n\n```sh\ngleam add blah\n```\n\n## 🎲 Usage\n\n```gleam\nimport blah/name\nimport blah/time\nimport blah/other\nimport blah/internet\nimport birl\nimport birl/duration\nimport bison/object_id\n\npub type Person {\n  Person(\n    id: object_id.ObjectId,\n    name: String,\n    username: String,\n    birthday: birl.Time,\n    age: Int,\n  )\n}\n\npub fn generate_fake_person() {\n  let assert Ok(id) = object_id.from_string(other.mongo_object_id())\n  let name = name.first_name()\n  let birthday = time.past(duration.years(18), duration.years(32))\n  let assert #(age, duration.Year) =\n    duration.blur(birl.difference(birl.now(), birthday))\n\n  Person(\n    id: id,\n    name: name,\n    username: internet.username(name),\n    birthday: birthday,\n    age: age,\n  )\n}\n```","url":"index.html"},{"doc":"blah/name","title":"female_first_name","content":"pub fn female_first_name() -&gt; String\n\nSynonyms:\nblah/name.female_first_name\nblah/name female_first_name","url":"blah/name.html#female_first_name"},{"doc":"blah/name","title":"female_full_name","content":"pub fn female_full_name() -&gt; String\n\nSynonyms:\nblah/name.female_full_name\nblah/name female_full_name","url":"blah/name.html#female_full_name"},{"doc":"blah/name","title":"first_name","content":"pub fn first_name() -&gt; String\n\nSynonyms:\nblah/name.first_name\nblah/name first_name","url":"blah/name.html#first_name"},{"doc":"blah/name","title":"full_name","content":"pub fn full_name() -&gt; String\n\nSynonyms:\nblah/name.full_name\nblah/name full_name","url":"blah/name.html#full_name"},{"doc":"blah/name","title":"last_name","content":"pub fn last_name() -&gt; String\n\nSynonyms:\nblah/name.last_name\nblah/name last_name","url":"blah/name.html#last_name"},{"doc":"blah/name","title":"male_first_name","content":"pub fn male_first_name() -&gt; String\n\nSynonyms:\nblah/name.male_first_name\nblah/name male_first_name","url":"blah/name.html#male_first_name"},{"doc":"blah/name","title":"male_full_name","content":"pub fn male_full_name() -&gt; String\n\nSynonyms:\nblah/name.male_full_name\nblah/name male_full_name","url":"blah/name.html#male_full_name"},{"doc":"blah/name","title":"blah/name","content":" same as `blah/en/name`","url":"blah/name.html"},{"doc":"blah/address","title":"alpha3_coutry_code","content":"pub fn alpha3_coutry_code() -&gt; String\n\nSynonyms:\nblah/address.alpha3_coutry_code\nblah/address alpha3_coutry_code","url":"blah/address.html#alpha3_coutry_code"},{"doc":"blah/address","title":"city","content":"pub fn city() -&gt; String\n\nSynonyms:\nblah/address.city\nblah/address city","url":"blah/address.html#city"},{"doc":"blah/address","title":"country","content":"pub fn country() -&gt; String\n\nSynonyms:\nblah/address.country\nblah/address country","url":"blah/address.html#country"},{"doc":"blah/address","title":"country_code","content":"pub fn country_code() -&gt; String\n\nSynonyms:\nblah/address.country_code\nblah/address country_code","url":"blah/address.html#country_code"},{"doc":"blah/address","title":"direction","content":"pub fn direction() -&gt; String\n\nSynonyms:\nblah/address.direction\nblah/address direction","url":"blah/address.html#direction"},{"doc":"blah/address","title":"direction_code","content":"pub fn direction_code() -&gt; String\n\nSynonyms:\nblah/address.direction_code\nblah/address direction_code","url":"blah/address.html#direction_code"},{"doc":"blah/address","title":"full_address","content":"pub fn full_address() -&gt; String\n\nSynonyms:\nblah/address.full_address\nblah/address full_address","url":"blah/address.html#full_address"},{"doc":"blah/address","title":"state","content":"pub fn state() -&gt; String\n\nSynonyms:\nblah/address.state\nblah/address state","url":"blah/address.html#state"},{"doc":"blah/address","title":"state_code","content":"pub fn state_code() -&gt; String\n\nSynonyms:\nblah/address.state_code\nblah/address state_code","url":"blah/address.html#state_code"},{"doc":"blah/address","title":"street","content":"pub fn street() -&gt; String\n\nSynonyms:\nblah/address.street\nblah/address street","url":"blah/address.html#street"},{"doc":"blah/address","title":"time_zone","content":"pub fn time_zone() -&gt; String\n\nSynonyms:\nblah/address.time_zone\nblah/address time_zone","url":"blah/address.html#time_zone"},{"doc":"blah/address","title":"zip_code","content":"pub fn zip_code() -&gt; String\n\nSynonyms:\nblah/address.zip_code\nblah/address zip_code","url":"blah/address.html#zip_code"},{"doc":"blah/address","title":"blah/address","content":" same as `blah/en/address`","url":"blah/address.html"},{"doc":"blah/fa/string","title":"alpha","content":"pub fn alpha(length: Int) -&gt; String\n\nSynonyms:\nblah/fa/string.alpha\nblah/fa/string alpha","url":"blah/fa/string.html#alpha"},{"doc":"blah/fa/string","title":"alphanumeric","content":"pub fn alphanumeric(length: Int) -&gt; String\n\nSynonyms:\nblah/fa/string.alphanumeric\nblah/fa/string alphanumeric","url":"blah/fa/string.html#alphanumeric"},{"doc":"blah/fa/string","title":"numeric","content":"pub fn numeric(length: Int) -&gt; String\n\nSynonyms:\nblah/fa/string.numeric\nblah/fa/string numeric","url":"blah/fa/string.html#numeric"},{"doc":"blah/fa/string","title":"pronounceable","content":"pub fn pronounceable() -&gt; String\n\nSynonyms:\nblah/fa/string.pronounceable\nblah/fa/string pronounceable","url":"blah/fa/string.html#pronounceable"},{"doc":"blah/fa/string","title":"with_pattern","content":"pub fn with_pattern(given_pattern: String) -&gt; String\n you can use the below codes to specify your desired pattern:\n\n     %c - digits and letters\n\n     %w - letters\n\n     %d - digits\n\n     %n - non-zero digits\nSynonyms:\nblah/fa/string.with_pattern\nblah/fa/string with_pattern","url":"blah/fa/string.html#with_pattern"},{"doc":"blah/fa/string","title":"blah/fa/string","content":"","url":"blah/fa/string.html"},{"doc":"blah/fa/address","title":"city","content":"pub fn city() -&gt; String\n\nSynonyms:\nblah/fa/address.city\nblah/fa/address city","url":"blah/fa/address.html#city"},{"doc":"blah/fa/address","title":"country","content":"pub fn country() -&gt; String\n\nSynonyms:\nblah/fa/address.country\nblah/fa/address country","url":"blah/fa/address.html#country"},{"doc":"blah/fa/address","title":"direction","content":"pub fn direction() -&gt; String\n\nSynonyms:\nblah/fa/address.direction\nblah/fa/address direction","url":"blah/fa/address.html#direction"},{"doc":"blah/fa/address","title":"floor","content":"pub fn floor() -&gt; String\n\nSynonyms:\nblah/fa/address.floor\nblah/fa/address floor","url":"blah/fa/address.html#floor"},{"doc":"blah/fa/address","title":"full_address","content":"pub fn full_address() -&gt; String\n\nSynonyms:\nblah/fa/address.full_address\nblah/fa/address full_address","url":"blah/fa/address.html#full_address"},{"doc":"blah/fa/address","title":"postal_code","content":"pub fn postal_code() -&gt; String\n\nSynonyms:\nblah/fa/address.postal_code\nblah/fa/address postal_code","url":"blah/fa/address.html#postal_code"},{"doc":"blah/fa/address","title":"province","content":"pub fn province() -&gt; String\n\nSynonyms:\nblah/fa/address.province\nblah/fa/address province","url":"blah/fa/address.html#province"},{"doc":"blah/fa/address","title":"street","content":"pub fn street() -&gt; String\n\nSynonyms:\nblah/fa/address.street\nblah/fa/address street","url":"blah/fa/address.html#street"},{"doc":"blah/fa/address","title":"unit","content":"pub fn unit() -&gt; String\n\nSynonyms:\nblah/fa/address.unit\nblah/fa/address unit","url":"blah/fa/address.html#unit"},{"doc":"blah/fa/address","title":"blah/fa/address","content":"","url":"blah/fa/address.html"},{"doc":"blah/fa/lorem","title":"paragraph","content":"pub fn paragraph() -&gt; String\n\nSynonyms:\nblah/fa/lorem.paragraph\nblah/fa/lorem paragraph","url":"blah/fa/lorem.html#paragraph"},{"doc":"blah/fa/lorem","title":"paragraphs","content":"pub fn paragraphs(num: Int) -&gt; String\n\nSynonyms:\nblah/fa/lorem.paragraphs\nblah/fa/lorem paragraphs","url":"blah/fa/lorem.html#paragraphs"},{"doc":"blah/fa/lorem","title":"sentence","content":"pub fn sentence() -&gt; String\n\nSynonyms:\nblah/fa/lorem.sentence\nblah/fa/lorem sentence","url":"blah/fa/lorem.html#sentence"},{"doc":"blah/fa/lorem","title":"sentences","content":"pub fn sentences(num: Int) -&gt; String\n\nSynonyms:\nblah/fa/lorem.sentences\nblah/fa/lorem sentences","url":"blah/fa/lorem.html#sentences"},{"doc":"blah/fa/lorem","title":"word","content":"pub fn word() -&gt; String\n\nSynonyms:\nblah/fa/lorem.word\nblah/fa/lorem word","url":"blah/fa/lorem.html#word"},{"doc":"blah/fa/lorem","title":"words","content":"pub fn words(num: Int) -&gt; String\n\nSynonyms:\nblah/fa/lorem.words\nblah/fa/lorem words","url":"blah/fa/lorem.html#words"},{"doc":"blah/fa/lorem","title":"blah/fa/lorem","content":"","url":"blah/fa/lorem.html"},{"doc":"blah/fa/name","title":"female_first_name","content":"pub fn female_first_name() -&gt; String\n\nSynonyms:\nblah/fa/name.female_first_name\nblah/fa/name female_first_name","url":"blah/fa/name.html#female_first_name"},{"doc":"blah/fa/name","title":"female_full_name","content":"pub fn female_full_name() -&gt; String\n\nSynonyms:\nblah/fa/name.female_full_name\nblah/fa/name female_full_name","url":"blah/fa/name.html#female_full_name"},{"doc":"blah/fa/name","title":"first_name","content":"pub fn first_name() -&gt; String\n\nSynonyms:\nblah/fa/name.first_name\nblah/fa/name first_name","url":"blah/fa/name.html#first_name"},{"doc":"blah/fa/name","title":"full_name","content":"pub fn full_name() -&gt; String\n\nSynonyms:\nblah/fa/name.full_name\nblah/fa/name full_name","url":"blah/fa/name.html#full_name"},{"doc":"blah/fa/name","title":"last_name","content":"pub fn last_name() -&gt; String\n\nSynonyms:\nblah/fa/name.last_name\nblah/fa/name last_name","url":"blah/fa/name.html#last_name"},{"doc":"blah/fa/name","title":"male_first_name","content":"pub fn male_first_name() -&gt; String\n\nSynonyms:\nblah/fa/name.male_first_name\nblah/fa/name male_first_name","url":"blah/fa/name.html#male_first_name"},{"doc":"blah/fa/name","title":"male_full_name","content":"pub fn male_full_name() -&gt; String\n\nSynonyms:\nblah/fa/name.male_full_name\nblah/fa/name male_full_name","url":"blah/fa/name.html#male_full_name"},{"doc":"blah/fa/name","title":"blah/fa/name","content":"","url":"blah/fa/name.html"},{"doc":"blah/fa/word","title":"adjective","content":"pub fn adjective() -&gt; String\n\nSynonyms:\nblah/fa/word.adjective\nblah/fa/word adjective","url":"blah/fa/word.html#adjective"},{"doc":"blah/fa/word","title":"adverb","content":"pub fn adverb() -&gt; String\n\nSynonyms:\nblah/fa/word.adverb\nblah/fa/word adverb","url":"blah/fa/word.html#adverb"},{"doc":"blah/fa/word","title":"conjunction","content":"pub fn conjunction() -&gt; String\n\nSynonyms:\nblah/fa/word.conjunction\nblah/fa/word conjunction","url":"blah/fa/word.html#conjunction"},{"doc":"blah/fa/word","title":"interjection","content":"pub fn interjection() -&gt; String\n\nSynonyms:\nblah/fa/word.interjection\nblah/fa/word interjection","url":"blah/fa/word.html#interjection"},{"doc":"blah/fa/word","title":"noun","content":"pub fn noun() -&gt; String\n\nSynonyms:\nblah/fa/word.noun\nblah/fa/word noun","url":"blah/fa/word.html#noun"},{"doc":"blah/fa/word","title":"preposition","content":"pub fn preposition() -&gt; String\n\nSynonyms:\nblah/fa/word.preposition\nblah/fa/word preposition","url":"blah/fa/word.html#preposition"},{"doc":"blah/fa/word","title":"verb","content":"pub fn verb() -&gt; String\n\nSynonyms:\nblah/fa/word.verb\nblah/fa/word verb","url":"blah/fa/word.html#verb"},{"doc":"blah/fa/word","title":"blah/fa/word","content":"","url":"blah/fa/word.html"},{"doc":"blah/fr/name","title":"female_first_name","content":"pub fn female_first_name() -&gt; String\n\nSynonyms:\nblah/fr/name.female_first_name\nblah/fr/name female_first_name","url":"blah/fr/name.html#female_first_name"},{"doc":"blah/fr/name","title":"female_full_name","content":"pub fn female_full_name() -&gt; String\n\nSynonyms:\nblah/fr/name.female_full_name\nblah/fr/name female_full_name","url":"blah/fr/name.html#female_full_name"},{"doc":"blah/fr/name","title":"first_name","content":"pub fn first_name() -&gt; String\n\nSynonyms:\nblah/fr/name.first_name\nblah/fr/name first_name","url":"blah/fr/name.html#first_name"},{"doc":"blah/fr/name","title":"full_name","content":"pub fn full_name() -&gt; String\n\nSynonyms:\nblah/fr/name.full_name\nblah/fr/name full_name","url":"blah/fr/name.html#full_name"},{"doc":"blah/fr/name","title":"last_name","content":"pub fn last_name() -&gt; String\n\nSynonyms:\nblah/fr/name.last_name\nblah/fr/name last_name","url":"blah/fr/name.html#last_name"},{"doc":"blah/fr/name","title":"male_first_name","content":"pub fn male_first_name() -&gt; String\n\nSynonyms:\nblah/fr/name.male_first_name\nblah/fr/name male_first_name","url":"blah/fr/name.html#male_first_name"},{"doc":"blah/fr/name","title":"male_full_name","content":"pub fn male_full_name() -&gt; String\n\nSynonyms:\nblah/fr/name.male_full_name\nblah/fr/name male_full_name","url":"blah/fr/name.html#male_full_name"},{"doc":"blah/fr/name","title":"blah/fr/name","content":" same as `blah/name`","url":"blah/fr/name.html"},{"doc":"blah/string","title":"alpha","content":"pub fn alpha(length: Int) -&gt; String\n\nSynonyms:\nblah/string.alpha\nblah/string alpha","url":"blah/string.html#alpha"},{"doc":"blah/string","title":"alphanumeric","content":"pub fn alphanumeric(length: Int) -&gt; String\n\nSynonyms:\nblah/string.alphanumeric\nblah/string alphanumeric","url":"blah/string.html#alphanumeric"},{"doc":"blah/string","title":"lower_alpha","content":"pub fn lower_alpha(length: Int) -&gt; String\n\nSynonyms:\nblah/string.lower_alpha\nblah/string lower_alpha","url":"blah/string.html#lower_alpha"},{"doc":"blah/string","title":"numeric","content":"pub fn numeric(length: Int) -&gt; String\n\nSynonyms:\nblah/string.numeric\nblah/string numeric","url":"blah/string.html#numeric"},{"doc":"blah/string","title":"roman_numeral","content":"pub fn roman_numeral(min: Int, max: Int) -&gt; String\n\nSynonyms:\nblah/string.roman_numeral\nblah/string roman_numeral","url":"blah/string.html#roman_numeral"},{"doc":"blah/string","title":"upper_alpha","content":"pub fn upper_alpha(length: Int) -&gt; String\n\nSynonyms:\nblah/string.upper_alpha\nblah/string upper_alpha","url":"blah/string.html#upper_alpha"},{"doc":"blah/string","title":"with_pattern","content":"pub fn with_pattern(given_pattern: String) -&gt; String\n you can use the below codes to specify your desired pattern:\n\n     %c - digits and letters\n\n     %w - letters\n\n     %d - digits\n\n     %n - non-zero digits\n\n     %l - lowercase letters\n\n     %u - uppercase letters\n\nSynonyms:\nblah/string.with_pattern\nblah/string with_pattern","url":"blah/string.html#with_pattern"},{"doc":"blah/string","title":"blah/string","content":" same as `blah/en/string`","url":"blah/string.html"},{"doc":"blah/fr/address","title":"City","content":"pub type City =\n  address.City\n\n\nSynonyms:\nblah/fr/address.City\nblah/fr/address City","url":"blah/fr/address.html#City"},{"doc":"blah/fr/address","title":"Department","content":"pub type Department =\n  address.Department\n\n\nSynonyms:\nblah/fr/address.Department\nblah/fr/address Department","url":"blah/fr/address.html#Department"},{"doc":"blah/fr/address","title":"city","content":"pub fn city() -&gt; City\n\nSynonyms:\nblah/fr/address.city\nblah/fr/address city","url":"blah/fr/address.html#city"},{"doc":"blah/fr/address","title":"country","content":"pub fn country() -&gt; String\n\nSynonyms:\nblah/fr/address.country\nblah/fr/address country","url":"blah/fr/address.html#country"},{"doc":"blah/fr/address","title":"departement","content":"pub fn departement() -&gt; Department\n\nSynonyms:\nblah/fr/address.departement\nblah/fr/address departement","url":"blah/fr/address.html#departement"},{"doc":"blah/fr/address","title":"direction","content":"pub fn direction() -&gt; String\n\nSynonyms:\nblah/fr/address.direction\nblah/fr/address direction","url":"blah/fr/address.html#direction"},{"doc":"blah/fr/address","title":"direction_code","content":"pub fn direction_code() -&gt; String\n\nSynonyms:\nblah/fr/address.direction_code\nblah/fr/address direction_code","url":"blah/fr/address.html#direction_code"},{"doc":"blah/fr/address","title":"full_address","content":"pub fn full_address() -&gt; String\n\nSynonyms:\nblah/fr/address.full_address\nblah/fr/address full_address","url":"blah/fr/address.html#full_address"},{"doc":"blah/fr/address","title":"street","content":"pub fn street() -&gt; String\n\nSynonyms:\nblah/fr/address.street\nblah/fr/address street","url":"blah/fr/address.html#street"},{"doc":"blah/fr/address","title":"time_zone","content":"pub fn time_zone() -&gt; String\n\nSynonyms:\nblah/fr/address.time_zone\nblah/fr/address time_zone","url":"blah/fr/address.html#time_zone"},{"doc":"blah/fr/address","title":"blah/fr/address","content":"","url":"blah/fr/address.html"},{"doc":"blah/fr/lorem","title":"paragraph","content":"pub fn paragraph() -&gt; String\n\nSynonyms:\nblah/fr/lorem.paragraph\nblah/fr/lorem paragraph","url":"blah/fr/lorem.html#paragraph"},{"doc":"blah/fr/lorem","title":"paragraphs","content":"pub fn paragraphs(num: Int) -&gt; String\n\nSynonyms:\nblah/fr/lorem.paragraphs\nblah/fr/lorem paragraphs","url":"blah/fr/lorem.html#paragraphs"},{"doc":"blah/fr/lorem","title":"sentence","content":"pub fn sentence() -&gt; String\n\nSynonyms:\nblah/fr/lorem.sentence\nblah/fr/lorem sentence","url":"blah/fr/lorem.html#sentence"},{"doc":"blah/fr/lorem","title":"sentences","content":"pub fn sentences(num: Int) -&gt; String\n\nSynonyms:\nblah/fr/lorem.sentences\nblah/fr/lorem sentences","url":"blah/fr/lorem.html#sentences"},{"doc":"blah/fr/lorem","title":"slug","content":"pub fn slug(num: Int) -&gt; String\n\nSynonyms:\nblah/fr/lorem.slug\nblah/fr/lorem slug","url":"blah/fr/lorem.html#slug"},{"doc":"blah/fr/lorem","title":"word","content":"pub fn word() -&gt; String\n\nSynonyms:\nblah/fr/lorem.word\nblah/fr/lorem word","url":"blah/fr/lorem.html#word"},{"doc":"blah/fr/lorem","title":"words","content":"pub fn words(num: Int) -&gt; String\n\nSynonyms:\nblah/fr/lorem.words\nblah/fr/lorem words","url":"blah/fr/lorem.html#words"},{"doc":"blah/fr/lorem","title":"blah/fr/lorem","content":" same as `blah/lorem`","url":"blah/fr/lorem.html"},{"doc":"blah/fr/other","title":"currency","content":"pub fn currency() -&gt; #(String, String, String)\n\nSynonyms:\nblah/fr/other.currency\nblah/fr/other currency","url":"blah/fr/other.html#currency"},{"doc":"blah/fr/other","title":"blah/fr/other","content":"","url":"blah/fr/other.html"},{"doc":"blah/fr/word","title":"adjective","content":"pub fn adjective() -&gt; String\n\nSynonyms:\nblah/fr/word.adjective\nblah/fr/word adjective","url":"blah/fr/word.html#adjective"},{"doc":"blah/fr/word","title":"adverb","content":"pub fn adverb() -&gt; String\n\nSynonyms:\nblah/fr/word.adverb\nblah/fr/word adverb","url":"blah/fr/word.html#adverb"},{"doc":"blah/fr/word","title":"conjunction","content":"pub fn conjunction() -&gt; String\n\nSynonyms:\nblah/fr/word.conjunction\nblah/fr/word conjunction","url":"blah/fr/word.html#conjunction"},{"doc":"blah/fr/word","title":"interjection","content":"pub fn interjection() -&gt; String\n\nSynonyms:\nblah/fr/word.interjection\nblah/fr/word interjection","url":"blah/fr/word.html#interjection"},{"doc":"blah/fr/word","title":"noun","content":"pub fn noun() -&gt; String\n\nSynonyms:\nblah/fr/word.noun\nblah/fr/word noun","url":"blah/fr/word.html#noun"},{"doc":"blah/fr/word","title":"preposition","content":"pub fn preposition() -&gt; String\n\nSynonyms:\nblah/fr/word.preposition\nblah/fr/word preposition","url":"blah/fr/word.html#preposition"},{"doc":"blah/fr/word","title":"verb","content":"pub fn verb() -&gt; String\n\nSynonyms:\nblah/fr/word.verb\nblah/fr/word verb","url":"blah/fr/word.html#verb"},{"doc":"blah/fr/word","title":"blah/fr/word","content":" same as `blah/word`","url":"blah/fr/word.html"},{"doc":"blah/image","title":"animal","content":"pub fn animal(width: Int, height: Int) -&gt; String\n\nSynonyms:\nblah/image.animal\nblah/image animal","url":"blah/image.html#animal"},{"doc":"blah/image","title":"avatar","content":"pub fn avatar(width: Int, height: Int) -&gt; String\n\nSynonyms:\nblah/image.avatar\nblah/image avatar","url":"blah/image.html#avatar"},{"doc":"blah/image","title":"cat","content":"pub fn cat(width: Int, height: Int) -&gt; String\n\nSynonyms:\nblah/image.cat\nblah/image cat","url":"blah/image.html#cat"},{"doc":"blah/image","title":"dog","content":"pub fn dog(width: Int, height: Int) -&gt; String\n\nSynonyms:\nblah/image.dog\nblah/image dog","url":"blah/image.html#dog"},{"doc":"blah/image","title":"fashion","content":"pub fn fashion(width: Int, height: Int) -&gt; String\n\nSynonyms:\nblah/image.fashion\nblah/image fashion","url":"blah/image.html#fashion"},{"doc":"blah/image","title":"food","content":"pub fn food(width: Int, height: Int) -&gt; String\n\nSynonyms:\nblah/image.food\nblah/image food","url":"blah/image.html#food"},{"doc":"blah/image","title":"jellyfish","content":"pub fn jellyfish(width: Int, height: Int) -&gt; String\n\nSynonyms:\nblah/image.jellyfish\nblah/image jellyfish","url":"blah/image.html#jellyfish"},{"doc":"blah/image","title":"people","content":"pub fn people(width: Int, height: Int) -&gt; String\n\nSynonyms:\nblah/image.people\nblah/image people","url":"blah/image.html#people"},{"doc":"blah/image","title":"sloth","content":"pub fn sloth(width: Int, height: Int) -&gt; String\n\nSynonyms:\nblah/image.sloth\nblah/image sloth","url":"blah/image.html#sloth"},{"doc":"blah/image","title":"sports","content":"pub fn sports(width: Int, height: Int) -&gt; String\n\nSynonyms:\nblah/image.sports\nblah/image sports","url":"blah/image.html#sports"},{"doc":"blah/image","title":"whatever","content":"pub fn whatever(width: Int, height: Int) -&gt; String\n\nSynonyms:\nblah/image.whatever\nblah/image whatever","url":"blah/image.html#whatever"},{"doc":"blah/image","title":"with_category","content":"pub fn with_category(\n  category: String,\n  width: Int,\n  height: Int,\n) -&gt; String\n\nSynonyms:\nblah/image.with_category\nblah/image with_category","url":"blah/image.html#with_category"},{"doc":"blah/image","title":"blah/image","content":"","url":"blah/image.html"},{"doc":"blah/internet","title":"HTTPStatusClass","content":"pub type HTTPStatusClass {\n  Informational\n  Successful\n  Redirection\n  ClientError\n  ServerError\n}\n\nInformational\n\n\nSuccessful\n\n\nRedirection\n\n\nClientError\n\n\nServerError\n\n\nSynonyms:\nblah/internet.HTTPStatusClass\nblah/internet HTTPStatusClass","url":"blah/internet.html#HTTPStatusClass"},{"doc":"blah/internet","title":"domain_name","content":"pub fn domain_name() -&gt; String\n\nSynonyms:\nblah/internet.domain_name\nblah/internet domain_name","url":"blah/internet.html#domain_name"},{"doc":"blah/internet","title":"email","content":"pub fn email(name: String) -&gt; String\n\nSynonyms:\nblah/internet.email\nblah/internet email","url":"blah/internet.html#email"},{"doc":"blah/internet","title":"hex_color","content":"pub fn hex_color() -&gt; String\n\nSynonyms:\nblah/internet.hex_color\nblah/internet hex_color","url":"blah/internet.html#hex_color"},{"doc":"blah/internet","title":"ip_v4","content":"pub fn ip_v4() -&gt; String\n\nSynonyms:\nblah/internet.ip_v4\nblah/internet ip_v4","url":"blah/internet.html#ip_v4"},{"doc":"blah/internet","title":"ip_v6","content":"pub fn ip_v6() -&gt; String\n\nSynonyms:\nblah/internet.ip_v6\nblah/internet ip_v6","url":"blah/internet.html#ip_v6"},{"doc":"blah/internet","title":"long_hex_color","content":"pub fn long_hex_color() -&gt; String\n\nSynonyms:\nblah/internet.long_hex_color\nblah/internet long_hex_color","url":"blah/internet.html#long_hex_color"},{"doc":"blah/internet","title":"mac","content":"pub fn mac() -&gt; String\n\nSynonyms:\nblah/internet.mac\nblah/internet mac","url":"blah/internet.html#mac"},{"doc":"blah/internet","title":"passphrase","content":"pub fn passphrase() -&gt; String\n\nSynonyms:\nblah/internet.passphrase\nblah/internet passphrase","url":"blah/internet.html#passphrase"},{"doc":"blah/internet","title":"password","content":"pub fn password() -&gt; String\n\nSynonyms:\nblah/internet.password\nblah/internet password","url":"blah/internet.html#password"},{"doc":"blah/internet","title":"short_hex_color","content":"pub fn short_hex_color() -&gt; String\n\nSynonyms:\nblah/internet.short_hex_color\nblah/internet short_hex_color","url":"blah/internet.html#short_hex_color"},{"doc":"blah/internet","title":"status_code","content":"pub fn status_code() -&gt; Int\n\nSynonyms:\nblah/internet.status_code\nblah/internet status_code","url":"blah/internet.html#status_code"},{"doc":"blah/internet","title":"status_code_in_class","content":"pub fn status_code_in_class(class: HTTPStatusClass) -&gt; Int\n\nSynonyms:\nblah/internet.status_code_in_class\nblah/internet status_code_in_class","url":"blah/internet.html#status_code_in_class"},{"doc":"blah/internet","title":"uri","content":"pub fn uri() -&gt; String\n\nSynonyms:\nblah/internet.uri\nblah/internet uri","url":"blah/internet.html#uri"},{"doc":"blah/internet","title":"username","content":"pub fn username(name: String) -&gt; String\n\nSynonyms:\nblah/internet.username\nblah/internet username","url":"blah/internet.html#username"},{"doc":"blah/internet","title":"blah/internet","content":"","url":"blah/internet.html"},{"doc":"blah/lorem","title":"paragraph","content":"pub fn paragraph() -&gt; String\n\nSynonyms:\nblah/lorem.paragraph\nblah/lorem paragraph","url":"blah/lorem.html#paragraph"},{"doc":"blah/lorem","title":"paragraphs","content":"pub fn paragraphs(num: Int) -&gt; String\n\nSynonyms:\nblah/lorem.paragraphs\nblah/lorem paragraphs","url":"blah/lorem.html#paragraphs"},{"doc":"blah/lorem","title":"sentence","content":"pub fn sentence() -&gt; String\n\nSynonyms:\nblah/lorem.sentence\nblah/lorem sentence","url":"blah/lorem.html#sentence"},{"doc":"blah/lorem","title":"sentences","content":"pub fn sentences(num: Int) -&gt; String\n\nSynonyms:\nblah/lorem.sentences\nblah/lorem sentences","url":"blah/lorem.html#sentences"},{"doc":"blah/lorem","title":"slug","content":"pub fn slug(num: Int) -&gt; String\n\nSynonyms:\nblah/lorem.slug\nblah/lorem slug","url":"blah/lorem.html#slug"},{"doc":"blah/lorem","title":"word","content":"pub fn word() -&gt; String\n\nSynonyms:\nblah/lorem.word\nblah/lorem word","url":"blah/lorem.html#word"},{"doc":"blah/lorem","title":"words","content":"pub fn words(num: Int) -&gt; String\n\nSynonyms:\nblah/lorem.words\nblah/lorem words","url":"blah/lorem.html#words"},{"doc":"blah/lorem","title":"blah/lorem","content":" same as `blah/en/lorem`","url":"blah/lorem.html"},{"doc":"blah/other","title":"currency","content":"pub fn currency() -&gt; #(String, String, String)\n\nSynonyms:\nblah/other.currency\nblah/other currency","url":"blah/other.html#currency"},{"doc":"blah/other","title":"language_code","content":"pub fn language_code() -&gt; String\n\nSynonyms:\nblah/other.language_code\nblah/other language_code","url":"blah/other.html#language_code"},{"doc":"blah/other","title":"latitude","content":"pub fn latitude() -&gt; Float\n\nSynonyms:\nblah/other.latitude\nblah/other latitude","url":"blah/other.html#latitude"},{"doc":"blah/other","title":"longitude","content":"pub fn longitude() -&gt; Float\n\nSynonyms:\nblah/other.longitude\nblah/other longitude","url":"blah/other.html#longitude"},{"doc":"blah/other","title":"mongo_object_id","content":"pub fn mongo_object_id() -&gt; String\n\nSynonyms:\nblah/other.mongo_object_id\nblah/other mongo_object_id","url":"blah/other.html#mongo_object_id"},{"doc":"blah/other","title":"semver","content":"pub fn semver() -&gt; String\n\nSynonyms:\nblah/other.semver\nblah/other semver","url":"blah/other.html#semver"},{"doc":"blah/other","title":"uuid","content":"pub fn uuid() -&gt; String\n\nSynonyms:\nblah/other.uuid\nblah/other uuid","url":"blah/other.html#uuid"},{"doc":"blah/other","title":"blah/other","content":"","url":"blah/other.html"},{"doc":"blah/time","title":"future","content":"pub fn future(\n  min_distance: Duration,\n  max_distance: Duration,\n) -&gt; Time\n\nSynonyms:\nblah/time.future\nblah/time future","url":"blah/time.html#future"},{"doc":"blah/time","title":"in_interval","content":"pub fn in_interval(from: Time, to: Time) -&gt; Time\n\nSynonyms:\nblah/time.in_interval\nblah/time in_interval","url":"blah/time.html#in_interval"},{"doc":"blah/time","title":"past","content":"pub fn past(\n  min_distance: Duration,\n  max_distance: Duration,\n) -&gt; Time\n\nSynonyms:\nblah/time.past\nblah/time past","url":"blah/time.html#past"},{"doc":"blah/time","title":"symmetric","content":"pub fn symmetric(distance: Duration) -&gt; Time\n\nSynonyms:\nblah/time.symmetric\nblah/time symmetric","url":"blah/time.html#symmetric"},{"doc":"blah/time","title":"blah/time","content":"","url":"blah/time.html"},{"doc":"blah/word","title":"adjective","content":"pub fn adjective() -&gt; String\n\nSynonyms:\nblah/word.adjective\nblah/word adjective","url":"blah/word.html#adjective"},{"doc":"blah/word","title":"adverb","content":"pub fn adverb() -&gt; String\n\nSynonyms:\nblah/word.adverb\nblah/word adverb","url":"blah/word.html#adverb"},{"doc":"blah/word","title":"conjunction","content":"pub fn conjunction() -&gt; String\n\nSynonyms:\nblah/word.conjunction\nblah/word conjunction","url":"blah/word.html#conjunction"},{"doc":"blah/word","title":"interjection","content":"pub fn interjection() -&gt; String\n\nSynonyms:\nblah/word.interjection\nblah/word interjection","url":"blah/word.html#interjection"},{"doc":"blah/word","title":"noun","content":"pub fn noun() -&gt; String\n\nSynonyms:\nblah/word.noun\nblah/word noun","url":"blah/word.html#noun"},{"doc":"blah/word","title":"preposition","content":"pub fn preposition() -&gt; String\n\nSynonyms:\nblah/word.preposition\nblah/word preposition","url":"blah/word.html#preposition"},{"doc":"blah/word","title":"verb","content":"pub fn verb() -&gt; String\n\nSynonyms:\nblah/word.verb\nblah/word verb","url":"blah/word.html#verb"},{"doc":"blah/word","title":"blah/word","content":" same as `blah/en/word`","url":"blah/word.html"}]);